Bug 246957 - sysutils/dvdisaster: Fails to build with current GCC: build.o:(.data+0x0): multiple definition of `buildCount';
Summary: sysutils/dvdisaster: Fails to build with current GCC: build.o:(.data+0x0): mu...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on: 246987
Blocks:
  Show dependency treegraph
 
Reported: 2020-06-03 13:41 UTC by Lorenzo Salvadore
Modified: 2020-06-12 21:35 UTC (History)
5 users (show)

See Also:
koobs: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lorenzo Salvadore freebsd_committer 2020-06-03 13:41:13 UTC
Please see PR #246700 for details, which is about updating the default version of GCC from 9 to 10.

  Compiling: udf.c
  Compiling: welcome-window.c
  Linking  : dvdisaster
  /usr/local/bin/ld: /wrkdirs/usr/ports/sysutils/dvdisaster/work/dvdisaster-0.79.5/build.o:(.data+0x0): multiple definition of `buildCount'; /wrkdirs/usr/ports/sysutils/dvdisaster/work/dvdisaster-0.79.5/bitmap.o:(.bss+0x0): first defined here
  /usr/local/bin/ld: /wrkdirs/usr/ports/sysutils/dvdisaster/work/dvdisaster-0.79.5/cacheprobe.o:(.bss+0x0): multiple definition of `buildCount'; /wrkdirs/usr/ports/sysutils/dvdisaster/work/dvdisaster-0.79.5/bitmap.o:(.bss+0x0): first defined here

  [and so on for 280 more lines]

This issue is probably due to the -fno-common flag set by default. The easy workaround is adding CFLAGS=-fcommon until the code can be fixed (preferably upstream) according to https://gcc.gnu.org/gcc-10/porting_to.html#common .
Comment 1 Lorenzo Salvadore freebsd_committer 2020-06-03 13:43:38 UTC
This error was produced on powerpc64 (see comment 7 in PR #246700).
Comment 2 Lorenzo Salvadore freebsd_committer 2020-06-03 14:13:47 UTC
However note please that the issue probably is not powerpc specific. Thus I set back the Hardware field to any.
Comment 3 Bob Eager 2020-06-04 17:29:38 UTC
Bug fixed at source level.

PR 246987 refers.

Thanks!
Comment 4 Fernando Apesteguía freebsd_committer 2020-06-05 10:07:38 UTC
^Triage: Assigning myself before closing. This PR is related to bug #246987 where there is a patch with a fix.

It would have been OK to attach the patch here though :-)

Thanks!
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2020-06-07 00:27:50 UTC
^Triage: Re-open pending close of dependent bug 246987 that resolves the issue
Comment 6 commit-hook freebsd_committer 2020-06-12 21:31:11 UTC
A commit references this bug:

Author: gerald
Date: Fri Jun 12 21:30:45 UTC 2020
New revision: 538632
URL: https://svnweb.freebsd.org/changeset/ports/538632

Log:
  Fix the build with GCC 10 that defaults to -fno-common via a new local
  patch files/patch-dvdisaster.h.

  PR:		246700, 246957, 246987
  Submitted by:	bob@eager.cx (maintainer)

Changes:
  head/sysutils/dvdisaster/files/patch-dvdisaster.h